
.. DO NOT EDIT.
.. THIS FILE WAS AUTOMATICALLY GENERATED BY SPHINX-GALLERY.
.. TO MAKE CHANGES, EDIT THE SOURCE PYTHON FILE:
.. "gallery/auto_examples/analysis/plot_pca_iris.py"
.. LINE NUMBERS ARE GIVEN BELOW.

.. only:: html

    .. note::
        :class: sphx-glr-download-link-note

        :ref:`Go to the end <sphx_glr_download_gallery_auto_examples_analysis_plot_pca_iris.py>`
        to download the full example code

.. rst-class:: sphx-glr-example-title

.. _sphx_glr_gallery_auto_examples_analysis_plot_pca_iris.py:


PCA example (iris dataset)
--------------------------
In this example, we perform the PCA dimensionality reduction of the classical `iris`
dataset (Ronald A. Fisher.
"The Use of Multiple Measurements in Taxonomic Problems. Annals of Eugenics, 7, pp.179-188, 1936).

.. GENERATED FROM PYTHON SOURCE LINES 17-18

First we laod the spectrochempy API package

.. GENERATED FROM PYTHON SOURCE LINES 18-20

.. code-block:: default

    import spectrochempy as scp








.. GENERATED FROM PYTHON SOURCE LINES 21-22

Upload a dataset form a distant server

.. GENERATED FROM PYTHON SOURCE LINES 22-29

.. code-block:: default

    try:
        dataset = scp.download_iris()
    except (IOError, OSError):
        print("Could not load The `IRIS` dataset. Finishing here.")
        import sys

        sys.exit(0)







.. GENERATED FROM PYTHON SOURCE LINES 30-34

Create a PCA object
Here, the number of components  wich is used by the model is automatically determined
using `n_components="mle"`\. Warning: `mle` cannot be used when
n_observations < n_features.

.. GENERATED FROM PYTHON SOURCE LINES 34-35

.. code-block:: default

    pca = scp.PCA(n_components="mle")







.. GENERATED FROM PYTHON SOURCE LINES 36-37

Fit dataset with the PCA model

.. GENERATED FROM PYTHON SOURCE LINES 37-38

.. code-block:: default

    pca.fit(dataset)




.. rst-class:: sphx-glr-script-out

 .. code-block:: none


    <spectrochempy.analysis.pca.PCA object at 0x7f15afba0d00>



.. GENERATED FROM PYTHON SOURCE LINES 39-40

The number of components found is 3:

.. GENERATED FROM PYTHON SOURCE LINES 40-41

.. code-block:: default

    pca.n_components




.. rst-class:: sphx-glr-script-out

 .. code-block:: none


    3



.. GENERATED FROM PYTHON SOURCE LINES 42-43

It explain 99.5 % of the variance

.. GENERATED FROM PYTHON SOURCE LINES 43-44

.. code-block:: default

    pca.cumulative_explained_variance[-1].value





.. raw:: html

    <div class="output_subarea output_html rendered_html output_result">
    99.48169145498102 %
    </div>
    <br />
    <br />

.. GENERATED FROM PYTHON SOURCE LINES 45-48

We can also specify the amount of explained variance to compute how much components
are needed (a number between 0 and 1 for n_components is required to do this).
we found 4 components in this case

.. GENERATED FROM PYTHON SOURCE LINES 48-51

.. code-block:: default

    pca = scp.PCA(n_components=0.999)
    pca.fit(dataset)
    pca.n_components




.. rst-class:: sphx-glr-script-out

 .. code-block:: none


    4



.. GENERATED FROM PYTHON SOURCE LINES 52-54

the 4 components found are in the `components` attribute of pca. These components are
often called loadings in PCA analysis.

.. GENERATED FROM PYTHON SOURCE LINES 54-56

.. code-block:: default

    loadings = pca.components
    loadings





.. raw:: html

    <div class="output_subarea output_html rendered_html output_result">
    <table style='background:transparent'>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         name</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> `IRIS` Dataset_PCA.components</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       author</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> runner@fv-az626-878</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      created</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 2023-06-06 01:27:21+00:00</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      history</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div>2023-06-06 01:27:21+00:00> Created using method PCA.components</div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>          DATA </strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> size</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       values</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='blue'>         [[  0.3616 -0.08227   0.8566   0.3588]<br/>          [  0.6565   0.7297  -0.1758 -0.07471]<br/>          [  -0.581   0.5964  0.07252   0.5491]<br/>          [  0.3173  -0.3241  -0.4797   0.7511]]</font></div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        shape</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> (y:4, x:4)</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `x`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 4</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> features</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  sepal_length   sepal width   petal_length   petal_width]</font></div> </td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `y`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 4</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> components</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  #0   #1   #2   #3]</font></div></td><tr>
    </table>
    </div>
    <br />
    <br />

.. GENERATED FROM PYTHON SOURCE LINES 57-59

Note: it is equivalently possible to use the `loadings` attribute of pca, which
produce the same results.

.. GENERATED FROM PYTHON SOURCE LINES 59-60

.. code-block:: default

    pca.loadings





.. raw:: html

    <div class="output_subarea output_html rendered_html output_result">
    <table style='background:transparent'>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         name</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> `IRIS` Dataset_PCA.get_components</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       author</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> runner@fv-az626-878</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      created</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 2023-06-06 01:27:21+00:00</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      history</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div>2023-06-06 01:27:21+00:00> Created using method PCA.get_components</div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>          DATA </strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <untitled></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       values</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='blue'>         [[  0.3616 -0.08227   0.8566   0.3588]<br/>          [  0.6565   0.7297  -0.1758 -0.07471]<br/>          [  -0.581   0.5964  0.07252   0.5491]<br/>          [  0.3173  -0.3241  -0.4797   0.7511]]</font></div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        shape</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> (y:4, x:4)</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `x`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 4</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> features</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  sepal_length   sepal width   petal_length   petal_width]</font></div> </td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `y`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 4</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> components</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  #0   #1   #2   #3]</font></div></td><tr>
    </table>
    </div>
    <br />
    <br />

.. GENERATED FROM PYTHON SOURCE LINES 61-63

To Reduce the data to a lower dimensionality using these three components, we use the
transform methods. The results is often called `scores` for PCA analysis.

.. GENERATED FROM PYTHON SOURCE LINES 63-65

.. code-block:: default

    scores = pca.transform()
    scores





.. raw:: html

    <div class="output_subarea output_html rendered_html output_result">
    <table style='background:transparent'>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         name</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> `IRIS` Dataset_PCA.transform</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       author</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> runner@fv-az626-878</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      created</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 2023-06-06 01:27:21+00:00</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      history</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div>2023-06-06 01:27:21+00:00> Created using method PCA.transform</div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>          DATA </strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <untitled></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       values</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='blue'>         [[  -2.684   0.3266 -0.02151 0.001006]<br/>          [  -2.715  -0.1696  -0.2035   0.0996]<br/>          ...<br/>          [   1.902   0.1159   0.7229  0.04087]<br/>          [    1.39  -0.2829   0.3623  -0.1563]]</font></div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        shape</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> (y:150, x:4)</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `x`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 4</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> components</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  #0   #1   #2   #3]</font></div> </td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `y`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 150</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> samples</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  Iris-setosa   Iris-setosa ...   Iris-virginica   Iris-virginica]</font></div></td><tr>
    </table>
    </div>
    <br />
    <br />

.. GENERATED FROM PYTHON SOURCE LINES 66-67

Again, we can also use the `scores` attribute to get this results

.. GENERATED FROM PYTHON SOURCE LINES 67-69

.. code-block:: default

    scores = pca.scores
    scores





.. raw:: html

    <div class="output_subarea output_html rendered_html output_result">
    <table style='background:transparent'>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         name</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> `IRIS` Dataset_PCA.transform</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       author</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> runner@fv-az626-878</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      created</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 2023-06-06 01:27:21+00:00</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>      history</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div>2023-06-06 01:27:21+00:00> Created using method PCA.transform</div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>          DATA </strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <untitled></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       values</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='blue'>         [[  -2.684   0.3266 -0.02151 0.001006]<br/>          [  -2.715  -0.1696  -0.2035   0.0996]<br/>          ...<br/>          [   1.902   0.1159   0.7229  0.04087]<br/>          [    1.39  -0.2829   0.3623  -0.1563]]</font></div></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        shape</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> (y:150, x:4)</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `x`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 4</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> components</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  #0   #1   #2   #3]</font></div> </td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><strong>     DIMENSION `y`</strong></td><td style='text-align:left; padding-bottom:0px; padding-top:0px; padding-top:10px; '><hr/></td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>         size</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> 150</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>        title</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> samples</td><tr>
    <tr><td style='padding-right:5px; padding-bottom:0px; padding-top:0px; width:124px'><font color='green'>       labels</font> </td><td style='text-align:left; padding-bottom:0px; padding-top:0px; border:.5px solid lightgray;  '> <div><font color='darkcyan'>[  Iris-setosa   Iris-setosa ...   Iris-virginica   Iris-virginica]</font></div></td><tr>
    </table>
    </div>
    <br />
    <br />

.. GENERATED FROM PYTHON SOURCE LINES 70-73

The figures of merit (explained and cumulative variance) confirm that
these 4 PC's explain 100% of the variance:


.. GENERATED FROM PYTHON SOURCE LINES 73-74

.. code-block:: default

    pca.printev()




.. rst-class:: sphx-glr-script-out

 .. code-block:: none


    PC      Eigenvalue              %variance               %cumulative
             of cov(X)                 per PC                  variance
    #1       2.055e+00                 92.462                    92.462
    #2       4.922e-01                  5.302                    97.763
    #3       2.802e-01                  1.719                    99.482
    #4       1.539e-01                  0.518                   100.000





.. GENERATED FROM PYTHON SOURCE LINES 75-78

These figures of merit can also be displayed graphically

The ScreePlot

.. GENERATED FROM PYTHON SOURCE LINES 78-79

.. code-block:: default

    _ = pca.screeplot()



.. rst-class:: sphx-glr-horizontal


    *

      .. image-sg:: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_001.png
         :alt: Scree plot
         :srcset: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_001.png
         :class: sphx-glr-multi-img

    *

      .. image-sg:: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_002.png
         :alt: plot pca iris
         :srcset: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_002.png
         :class: sphx-glr-multi-img





.. GENERATED FROM PYTHON SOURCE LINES 80-84

The score plots can be used for classification purposes. The first one - in 2D for the
2 first PC's - shows that the first PC allows distinguishing Iris-setosa (score of
PC#1 < -1) from other species (score of PC#1 > -1), while more PC's are required
to distinguish versicolor from viginica.

.. GENERATED FROM PYTHON SOURCE LINES 84-85

.. code-block:: default

    _ = pca.scoreplot(scores, 1, 2, color_mapping="labels")



.. image-sg:: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_003.png
   :alt: Score plot
   :srcset: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_003.png
   :class: sphx-glr-single-img





.. GENERATED FROM PYTHON SOURCE LINES 86-88

The second one - in 3D for the 3 first PC's - indicates that a thid PC won't allow
better distinguishing versicolor from viginica.

.. GENERATED FROM PYTHON SOURCE LINES 88-91

.. code-block:: default

    ax = pca.scoreplot(scores, 1, 2, 3, color_mapping="labels")
    ax.view_init(10, 75)




.. image-sg:: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_004.png
   :alt: Score plot
   :srcset: /gallery/auto_examples/analysis/images/sphx_glr_plot_pca_iris_004.png
   :class: sphx-glr-single-img





.. GENERATED FROM PYTHON SOURCE LINES 92-94

This ends the example ! The following line can be uncommented if no plot shows when
running the .py script

.. GENERATED FROM PYTHON SOURCE LINES 96-98

.. code-block:: default


    # scp.show()








.. rst-class:: sphx-glr-timing

   **Total running time of the script:** ( 0 minutes  1.451 seconds)


.. _sphx_glr_download_gallery_auto_examples_analysis_plot_pca_iris.py:

.. only:: html

  .. container:: sphx-glr-footer sphx-glr-footer-example




    .. container:: sphx-glr-download sphx-glr-download-python

      :download:`Download Python source code: plot_pca_iris.py <plot_pca_iris.py>`

    .. container:: sphx-glr-download sphx-glr-download-jupyter

      :download:`Download Jupyter notebook: plot_pca_iris.ipynb <plot_pca_iris.ipynb>`


.. only:: html

 .. rst-class:: sphx-glr-signature

    `Gallery generated by Sphinx-Gallery <https://sphinx-gallery.github.io>`_
